Subject: Re: inferior-octave-mode: Wrong type argument: number-or-marker-p, "100000000000"

From: Damian Nadales <[email-masked]>
Date: Thu, 3 Jul 2014 11:54:55 +0200

I forgot to add the system info:

Emacs  : GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.7)
 of 2014-03-07 on lamiak, modified by Debian
Package: Emacs version 24.3.1

current state:
==============
(setq
 octave-blink-matching-block t
 octave-block-offset 2
 octave-comment-char 35
 octave-continuation-offset 4
 octave-continuation-string "\\"
 octave-send-echo-input t
 octave-send-line-auto-forward t
 octave-send-show-buffer t
 )

On Thu, Jul 3, 2014 at 11:53 AM, Damian Nadales
<[email-masked]> wrote:
> Hello,
>
> Whenever I start octave-mode from emacs I got the following error message:
>    inferior-octave-mode: Wrong type argument: number-or-marker-p, "100000000000"
>
> Running it for a second time makes the error disappear.
>
> Furthermore, the following error appears randomly (to me at least)
> when using the Octave buffer:
>    comint-send-input: Wrong type argument: number-or-marker-p, "100000000000"
>
> The constant 100000000000 is the same I use to set the history size of
> octave in my pam_environment:
>    OCTAVE_HISTSIZE DEFAULT=100000000000
>
> But I don't know how is this related to the error I got.
>
> What could be happening?